Update a pricing table
curl --request PATCH \
--url https://server.twicecommerce.com/v1/admin/pricing-tables/update-table/{pricingTableId}/ \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"label": "<string>",
"availabilityRange": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"bookingsEnabled": true,
"salesEnabled": true,
"subscriptionsEnabled": true,
"isDefault": true
}
'import requests
url = "https://server.twicecommerce.com/v1/admin/pricing-tables/update-table/{pricingTableId}/"
payload = {
"label": "<string>",
"availabilityRange": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"bookingsEnabled": True,
"salesEnabled": True,
"subscriptionsEnabled": True,
"isDefault": True
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
availabilityRange: {start: '2023-11-07T05:31:56Z', end: '2023-11-07T05:31:56Z'},
bookingsEnabled: true,
salesEnabled: true,
subscriptionsEnabled: true,
isDefault: true
})
};
fetch('https://server.twicecommerce.com/v1/admin/pricing-tables/update-table/{pricingTableId}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
trueUpdate a pricing table
Updates a pricing table. Rows are managed via the row endpoints. Fields left out are unchanged.
PATCH
/
v1
/
admin
/
pricing-tables
/
update-table
/
{pricingTableId}
/
Update a pricing table
trueAuthorizations
API key for the Twice API
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Body
Hide child attributes
Hide child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Available options:
rolling, capped Response
200
The response is of type boolean.
Was this page helpful?